module llamardisplay(
    input wire[3:0] binario, 
	output reg[6:0] display 
	//input wire clock,
  
);


always @* begin
			case (binario)
					4'b0000 :  begin  display = ~7'b0111111;	end	// Hexadecimal 0   // ---0----
					4'b0001 :  begin  display = ~7'b0000110; 	end	// Hexadecimal 1   // |      |
					4'b0010 :  begin  display = ~7'b1011011;	end	// Hexadecimal 2   // 5      1
					4'b0011 :  begin  display = ~7'b1001111; 	end	// Hexadecimal 3   // |      |
					4'b0100 :  begin  display = ~7'b1100110; 	end	// Hexadecimal 4   // ---6----
					4'b0101 :  begin  display = ~7'b1101101; 	end	// Hexadecimal 5   // |      |
					4'b0110 :  begin  display = ~7'b1111101; 	end	// Hexadecimal 6   // 4      2
					4'b0111 :  begin  display = ~7'b0000111; 	end	// Hexadecimal 7   // |      |
					4'b1000 :  begin  display = ~7'b1111111;	end	// Hexadecimal 8   // ---3----
					4'b1001 :  begin  display = ~7'b1101111; 	end	// Hexadecimal 9
					4'b1010 :  begin  display = ~7'b1110111; 	end	// Hexadecimal A
					4'b1011 :  begin  display = ~7'b1111100; 	end	// Hexadecimal B
					4'b1100 :  begin  display = ~7'b0111001; 	end	// Hexadecimal C
					4'b1101 :  begin  display = ~7'b1011110; 	end	// Hexadecimal D
					4'b1110 :  begin  display = ~7'b1111001; 	end	// Hexadecimal E
					4'b1111 :  begin  display = ~7'b1110001; 	end	// Hexadecimal F
			endcase
		end
endmodule
